<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.lideeyunji</groupId>
        <artifactId>lideeYunJi</artifactId>
        <version>${lidee.version}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>lidee-admin</artifactId>
    <packaging>jar</packaging>

    <name>${project.artifactId}</name>
    <description> 低代码启动器 </description>

    <dependencies>

        <!-- 系统模块 -->
        <dependency>
            <groupId>com.lideeyunji</groupId>
            <artifactId>lidee-service-system-biz</artifactId>
            <version>${lidee.version}</version>
        </dependency>

        <!-- 代码生成器、接口文档 -->
        <dependency>
            <groupId>com.lideeyunji</groupId>
            <artifactId>lidee-service-infra-biz</artifactId>
            <version>${lidee.version}</version>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-configuration-processor</artifactId>
            <optional>true</optional>
        </dependency>

        <!-- 服务保障相关 -->
        <dependency>
            <groupId>com.lideeyunji</groupId>
            <artifactId>tool-spring-boot-starter-protection</artifactId>
        </dependency>
        
        <!-- 低代码服务 -->
        <dependency>
            <groupId>com.lideeyunji</groupId>
            <artifactId>lidee-module-biz</artifactId>
        </dependency>
    </dependencies>

    <build>
        <!-- 设置构建的 jar 包名 -->
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <!-- 打包 -->
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>${spring.boot.version}</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal> <!-- 将引入的 jar 打入其中 -->
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>
